Package sop

# Class SessionKey

java.lang.Object
sop.SessionKey

public class SessionKey extends Object

## Constructor Summary

Constructors
Constructor
Description
`SessionKey(byte algorithm, byte[] sessionKey)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`static SessionKey`
`fromString(String string)`
`byte`
`getAlgorithm()`
Return the symmetric algorithm octet.
`byte[]`
`getKey()`
Return the session key.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SessionKey

public SessionKey(byte algorithm, byte[] sessionKey)

## Method Details

### getAlgorithm

public byte getAlgorithm()
Return the symmetric algorithm octet.

Returns:
  algorithm id

### getKey

public byte[] getKey()
Return the session key.

Returns:
  session key

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### fromString

public static SessionKey fromString(String string)

### toString

public String toString()

Overrides:
  `toString` in class `Object`